<div class="centered">
  <div *ngIf="!isDepositFormLoaded">
    <mat-form-field appearance="fill">
      <mat-label>Select Credit Card</mat-label>
      <mat-select>
        <mat-option
          *ngFor="let card of currentUser.creditCards; let i = index"
          [value] = "card.cardNumber"
          (click)="showDepositFormOnTap(i)"
        >
          {{card.cardNumber}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div *ngIf="isFetching" class="centeredContent">
    <mat-spinner></mat-spinner>
  </div>
  <div *ngIf="isDepositFormLoaded">
    <form [formGroup]="depositForm" (ngSubmit)="onSubmit()">
      <div formArrayName="banknoteInventories">
        <div *ngFor="let banknoteInventoryForm of banknoteInventories.controls; let i = index"
          [formGroupName]="i"
        >
          <mat-form-field appearance="fill" floatLabel="always">
            <mat-label class="text">Banknote</mat-label>
            <input matInput
                   type="text"
                   class="centeredText"
                   formControlName="banknote"
                   readonly="true">
          </mat-form-field>
          <mat-form-field appearance="fill" floatLabel="always">
            <mat-label class="text">Quantity</mat-label>
            <input matInput
                   type="number"
                   class="centeredText"
                   formControlName="quantity">
            <mat-error *ngIf="banknoteInventories.controls[i].invalid">Positive quantity required</mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="centeredContent">
        <button mat-raised-button
                color="primary"
                type="submit"
                [disabled]="!depositForm.valid">
          CONFIRM</button>
      </div>
    </form>
  </div>
</div>


